"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/fbsj.ts
var fbsj_exports = {};
__export(fbsj_exports, {
  Ack: () => Ack,
  Bucket: () => Bucket,
  Contact: () => Contact,
  Exce: () => Exce,
  Idls: () => Idls,
  Loc: () => Loc,
  Locs: () => Locs,
  Plan: () => Plan,
  Plans: () => Plans,
  Post: () => Post,
  Profile: () => Profile,
  Profiles: () => Profiles,
  Promp: () => Promp,
  Queries: () => Queries,
  Query: () => Query,
  RMsg: () => RMsg,
  RMsgs: () => RMsgs,
  Ren: () => Ren,
  Rens: () => Rens,
  SMsg: () => SMsg,
  SMsgs: () => SMsgs,
  Sender: () => Sender,
  Tag: () => Tag,
  Tags: () => Tags
});
module.exports = __toCommonJS(fbsj_exports);

// src/ack.ts
var flatbuffers = __toESM(require("flatbuffers"));
var Ack = class _Ack {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsAck(bb, obj) {
    return (obj || new _Ack()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsAck(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers.SIZE_PREFIX_LENGTH);
    return (obj || new _Ack()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  session(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  response() {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  more(index, optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__string(this.bb.__vector(this.bb_pos + offset) + index * 4, optionalEncoding) : null;
  }
  moreLength() {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startAck(builder) {
    builder.startObject(3);
  }
  static addSession(builder, sessionOffset) {
    builder.addFieldOffset(0, sessionOffset, 0);
  }
  static addResponse(builder, response) {
    builder.addFieldInt8(1, +response, 0);
  }
  static addMore(builder, moreOffset) {
    builder.addFieldOffset(2, moreOffset, 0);
  }
  static createMoreVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startMoreVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endAck(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createAck(builder, sessionOffset, response, moreOffset) {
    _Ack.startAck(builder);
    _Ack.addSession(builder, sessionOffset);
    _Ack.addResponse(builder, response);
    _Ack.addMore(builder, moreOffset);
    return _Ack.endAck(builder);
  }
};

// src/bucket.ts
var flatbuffers23 = __toESM(require("flatbuffers"));

// src/exce.ts
var flatbuffers2 = __toESM(require("flatbuffers"));
var Exce = class _Exce {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsExce(bb, obj) {
    return (obj || new _Exce()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsExce(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers2.SIZE_PREFIX_LENGTH);
    return (obj || new _Exce()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  text(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  static startExce(builder) {
    builder.startObject(1);
  }
  static addText(builder, textOffset) {
    builder.addFieldOffset(0, textOffset, 0);
  }
  static endExce(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createExce(builder, textOffset) {
    _Exce.startExce(builder);
    _Exce.addText(builder, textOffset);
    return _Exce.endExce(builder);
  }
};

// src/idls.ts
var flatbuffers3 = __toESM(require("flatbuffers"));
var Idls = class _Idls {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsIdls(bb, obj) {
    return (obj || new _Idls()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsIdls(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers3.SIZE_PREFIX_LENGTH);
    return (obj || new _Idls()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  idlist(index, optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb.__vector(this.bb_pos + offset) + index * 4, optionalEncoding) : null;
  }
  idlistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startIdls(builder) {
    builder.startObject(1);
  }
  static addIdlist(builder, idlistOffset) {
    builder.addFieldOffset(0, idlistOffset, 0);
  }
  static createIdlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startIdlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endIdls(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createIdls(builder, idlistOffset) {
    _Idls.startIdls(builder);
    _Idls.addIdlist(builder, idlistOffset);
    return _Idls.endIdls(builder);
  }
};

// src/locs.ts
var flatbuffers5 = __toESM(require("flatbuffers"));

// src/loc.ts
var flatbuffers4 = __toESM(require("flatbuffers"));
var Loc = class _Loc {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsLoc(bb, obj) {
    return (obj || new _Loc()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsLoc(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers4.SIZE_PREFIX_LENGTH);
    return (obj || new _Loc()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  name(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  home() {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  lon() {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  lat() {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  alt() {
    const offset = this.bb.__offset(this.bb_pos, 14);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  static startLoc(builder) {
    builder.startObject(6);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addName(builder, nameOffset) {
    builder.addFieldOffset(1, nameOffset, 0);
  }
  static addHome(builder, home) {
    builder.addFieldInt8(2, +home, 0);
  }
  static addLon(builder, lon) {
    builder.addFieldFloat64(3, lon, 0);
  }
  static addLat(builder, lat) {
    builder.addFieldFloat64(4, lat, 0);
  }
  static addAlt(builder, alt) {
    builder.addFieldFloat64(5, alt, 0);
  }
  static endLoc(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createLoc(builder, idOffset, nameOffset, home, lon, lat, alt) {
    _Loc.startLoc(builder);
    _Loc.addId(builder, idOffset);
    _Loc.addName(builder, nameOffset);
    _Loc.addHome(builder, home);
    _Loc.addLon(builder, lon);
    _Loc.addLat(builder, lat);
    _Loc.addAlt(builder, alt);
    return _Loc.endLoc(builder);
  }
};

// src/locs.ts
var Locs = class _Locs {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsLocs(bb, obj) {
    return (obj || new _Locs()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsLocs(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers5.SIZE_PREFIX_LENGTH);
    return (obj || new _Locs()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  llist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new Loc()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  llistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startLocs(builder) {
    builder.startObject(1);
  }
  static addLlist(builder, llistOffset) {
    builder.addFieldOffset(0, llistOffset, 0);
  }
  static createLlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startLlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endLocs(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createLocs(builder, llistOffset) {
    _Locs.startLocs(builder);
    _Locs.addLlist(builder, llistOffset);
    return _Locs.endLocs(builder);
  }
};

// src/plans.ts
var flatbuffers8 = __toESM(require("flatbuffers"));

// src/plan.ts
var flatbuffers7 = __toESM(require("flatbuffers"));

// src/query.ts
var flatbuffers6 = __toESM(require("flatbuffers"));
var Query = class _Query {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsQuery(bb, obj) {
    return (obj || new _Query()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsQuery(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers6.SIZE_PREFIX_LENGTH);
    return (obj || new _Query()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  tag(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  static startQuery(builder) {
    builder.startObject(2);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addTag(builder, tagOffset) {
    builder.addFieldOffset(1, tagOffset, 0);
  }
  static endQuery(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createQuery(builder, idOffset, tagOffset) {
    _Query.startQuery(builder);
    _Query.addId(builder, idOffset);
    _Query.addTag(builder, tagOffset);
    return _Query.endQuery(builder);
  }
};

// src/plan.ts
var Plan = class _Plan {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsPlan(bb, obj) {
    return (obj || new _Plan()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsPlan(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers7.SIZE_PREFIX_LENGTH);
    return (obj || new _Plan()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  name(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  queries(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? (obj || new Query()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  queriesLength() {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  locs(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? (obj || new Loc()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  locsLength() {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  range() {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  first() {
    const offset = this.bb.__offset(this.bb_pos, 14);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  interval() {
    const offset = this.bb.__offset(this.bb_pos, 16);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  maxReceive() {
    const offset = this.bb.__offset(this.bb_pos, 18);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  kept() {
    const offset = this.bb.__offset(this.bb_pos, 20);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  kunit(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 22);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  active() {
    const offset = this.bb.__offset(this.bb_pos, 24);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  site() {
    const offset = this.bb.__offset(this.bb_pos, 26);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  time(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 28);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  dist(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 30);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  pushed(index, optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 32);
    return offset ? this.bb.__string(this.bb.__vector(this.bb_pos + offset) + index * 4, optionalEncoding) : null;
  }
  pushedLength() {
    const offset = this.bb.__offset(this.bb_pos, 32);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startPlan(builder) {
    builder.startObject(15);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addName(builder, nameOffset) {
    builder.addFieldOffset(1, nameOffset, 0);
  }
  static addQueries(builder, queriesOffset) {
    builder.addFieldOffset(2, queriesOffset, 0);
  }
  static createQueriesVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startQueriesVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addLocs(builder, locsOffset) {
    builder.addFieldOffset(3, locsOffset, 0);
  }
  static createLocsVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startLocsVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addRange(builder, range) {
    builder.addFieldFloat64(4, range, 0);
  }
  static addFirst(builder, first) {
    builder.addFieldFloat64(5, first, 0);
  }
  static addInterval(builder, interval) {
    builder.addFieldFloat64(6, interval, 0);
  }
  static addMaxReceive(builder, maxReceive) {
    builder.addFieldInt32(7, maxReceive, 0);
  }
  static addKept(builder, kept) {
    builder.addFieldFloat64(8, kept, 0);
  }
  static addKunit(builder, kunitOffset) {
    builder.addFieldOffset(9, kunitOffset, 0);
  }
  static addActive(builder, active) {
    builder.addFieldInt8(10, +active, 0);
  }
  static addSite(builder, site) {
    builder.addFieldInt8(11, +site, 0);
  }
  static addTime(builder, timeOffset) {
    builder.addFieldOffset(12, timeOffset, 0);
  }
  static addDist(builder, distOffset) {
    builder.addFieldOffset(13, distOffset, 0);
  }
  static addPushed(builder, pushedOffset) {
    builder.addFieldOffset(14, pushedOffset, 0);
  }
  static createPushedVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startPushedVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endPlan(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createPlan(builder, idOffset, nameOffset, queriesOffset, locsOffset, range, first, interval, maxReceive, kept, kunitOffset, active, site, timeOffset, distOffset, pushedOffset) {
    _Plan.startPlan(builder);
    _Plan.addId(builder, idOffset);
    _Plan.addName(builder, nameOffset);
    _Plan.addQueries(builder, queriesOffset);
    _Plan.addLocs(builder, locsOffset);
    _Plan.addRange(builder, range);
    _Plan.addFirst(builder, first);
    _Plan.addInterval(builder, interval);
    _Plan.addMaxReceive(builder, maxReceive);
    _Plan.addKept(builder, kept);
    _Plan.addKunit(builder, kunitOffset);
    _Plan.addActive(builder, active);
    _Plan.addSite(builder, site);
    _Plan.addTime(builder, timeOffset);
    _Plan.addDist(builder, distOffset);
    _Plan.addPushed(builder, pushedOffset);
    return _Plan.endPlan(builder);
  }
};

// src/plans.ts
var Plans = class _Plans {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsPlans(bb, obj) {
    return (obj || new _Plans()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsPlans(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers8.SIZE_PREFIX_LENGTH);
    return (obj || new _Plans()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  plist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new Plan()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  plistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startPlans(builder) {
    builder.startObject(1);
  }
  static addPlist(builder, plistOffset) {
    builder.addFieldOffset(0, plistOffset, 0);
  }
  static createPlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startPlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endPlans(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createPlans(builder, plistOffset) {
    _Plans.startPlans(builder);
    _Plans.addPlist(builder, plistOffset);
    return _Plans.endPlans(builder);
  }
};

// src/profiles.ts
var flatbuffers11 = __toESM(require("flatbuffers"));

// src/profile.ts
var flatbuffers10 = __toESM(require("flatbuffers"));

// src/contact.ts
var flatbuffers9 = __toESM(require("flatbuffers"));
var Contact = class _Contact {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsContact(bb, obj) {
    return (obj || new _Contact()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsContact(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers9.SIZE_PREFIX_LENGTH);
    return (obj || new _Contact()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  cat(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  path(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  static startContact(builder) {
    builder.startObject(3);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addCat(builder, catOffset) {
    builder.addFieldOffset(1, catOffset, 0);
  }
  static addPath(builder, pathOffset) {
    builder.addFieldOffset(2, pathOffset, 0);
  }
  static endContact(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createContact(builder, idOffset, catOffset, pathOffset) {
    _Contact.startContact(builder);
    _Contact.addId(builder, idOffset);
    _Contact.addCat(builder, catOffset);
    _Contact.addPath(builder, pathOffset);
    return _Contact.endContact(builder);
  }
};

// src/profile.ts
var Profile = class _Profile {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsProfile(bb, obj) {
    return (obj || new _Profile()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsProfile(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers10.SIZE_PREFIX_LENGTH);
    return (obj || new _Profile()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  cat(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  name(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  avatar(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  contacts(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? (obj || new Contact()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  contactsLength() {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  join(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 14);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  profsign(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 16);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  static startProfile(builder) {
    builder.startObject(7);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addCat(builder, catOffset) {
    builder.addFieldOffset(1, catOffset, 0);
  }
  static addName(builder, nameOffset) {
    builder.addFieldOffset(2, nameOffset, 0);
  }
  static addAvatar(builder, avatarOffset) {
    builder.addFieldOffset(3, avatarOffset, 0);
  }
  static addContacts(builder, contactsOffset) {
    builder.addFieldOffset(4, contactsOffset, 0);
  }
  static createContactsVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startContactsVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addJoin(builder, joinOffset) {
    builder.addFieldOffset(5, joinOffset, 0);
  }
  static addProfsign(builder, profsignOffset) {
    builder.addFieldOffset(6, profsignOffset, 0);
  }
  static endProfile(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createProfile(builder, idOffset, catOffset, nameOffset, avatarOffset, contactsOffset, joinOffset, profsignOffset) {
    _Profile.startProfile(builder);
    _Profile.addId(builder, idOffset);
    _Profile.addCat(builder, catOffset);
    _Profile.addName(builder, nameOffset);
    _Profile.addAvatar(builder, avatarOffset);
    _Profile.addContacts(builder, contactsOffset);
    _Profile.addJoin(builder, joinOffset);
    _Profile.addProfsign(builder, profsignOffset);
    return _Profile.endProfile(builder);
  }
};

// src/profiles.ts
var Profiles = class _Profiles {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsProfiles(bb, obj) {
    return (obj || new _Profiles()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsProfiles(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers11.SIZE_PREFIX_LENGTH);
    return (obj || new _Profiles()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  plist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new Profile()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  plistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startProfiles(builder) {
    builder.startObject(1);
  }
  static addPlist(builder, plistOffset) {
    builder.addFieldOffset(0, plistOffset, 0);
  }
  static createPlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startPlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endProfiles(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createProfiles(builder, plistOffset) {
    _Profiles.startProfiles(builder);
    _Profiles.addPlist(builder, plistOffset);
    return _Profiles.endProfiles(builder);
  }
};

// src/promp.ts
var flatbuffers12 = __toESM(require("flatbuffers"));
var Promp = class _Promp {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsPromp(bb, obj) {
    return (obj || new _Promp()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsPromp(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers12.SIZE_PREFIX_LENGTH);
    return (obj || new _Promp()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  text(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  static startPromp(builder) {
    builder.startObject(1);
  }
  static addText(builder, textOffset) {
    builder.addFieldOffset(0, textOffset, 0);
  }
  static endPromp(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createPromp(builder, textOffset) {
    _Promp.startPromp(builder);
    _Promp.addText(builder, textOffset);
    return _Promp.endPromp(builder);
  }
};

// src/queries.ts
var flatbuffers13 = __toESM(require("flatbuffers"));
var Queries = class _Queries {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsQueries(bb, obj) {
    return (obj || new _Queries()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsQueries(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers13.SIZE_PREFIX_LENGTH);
    return (obj || new _Queries()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  qlist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new Query()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  qlistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startQueries(builder) {
    builder.startObject(1);
  }
  static addQlist(builder, qlistOffset) {
    builder.addFieldOffset(0, qlistOffset, 0);
  }
  static createQlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startQlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endQueries(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createQueries(builder, qlistOffset) {
    _Queries.startQueries(builder);
    _Queries.addQlist(builder, qlistOffset);
    return _Queries.endQueries(builder);
  }
};

// src/rmsgs.ts
var flatbuffers15 = __toESM(require("flatbuffers"));

// src/rmsg.ts
var flatbuffers14 = __toESM(require("flatbuffers"));
var RMsg = class _RMsg {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsRMsg(bb, obj) {
    return (obj || new _RMsg()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsRMsg(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers14.SIZE_PREFIX_LENGTH);
    return (obj || new _RMsg()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  visible() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  read() {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  saved() {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  pubId(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  header(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 14);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  tags(index, optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 16);
    return offset ? this.bb.__string(this.bb.__vector(this.bb_pos + offset) + index * 4, optionalEncoding) : null;
  }
  tagsLength() {
    const offset = this.bb.__offset(this.bb_pos, 16);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  queries(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 18);
    return offset ? (obj || new Query()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  queriesLength() {
    const offset = this.bb.__offset(this.bb_pos, 18);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  senderId(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 20);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  cat(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 22);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  profsign(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 24);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  publish(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 26);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  receive(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 28);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  span() {
    const offset = this.bb.__offset(this.bb_pos, 30);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  sunit(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 32);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  kept() {
    const offset = this.bb.__offset(this.bb_pos, 34);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  kunit(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 36);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  max() {
    const offset = this.bb.__offset(this.bb_pos, 38);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  sim() {
    const offset = this.bb.__offset(this.bb_pos, 40);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  spot(obj) {
    const offset = this.bb.__offset(this.bb_pos, 42);
    return offset ? (obj || new Loc()).__init(this.bb.__indirect(this.bb_pos + offset), this.bb) : null;
  }
  homes(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 44);
    return offset ? (obj || new Loc()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  homesLength() {
    const offset = this.bb.__offset(this.bb_pos, 44);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startRMsg(builder) {
    builder.startObject(21);
  }
  static addVisible(builder, visible) {
    builder.addFieldInt8(0, +visible, 0);
  }
  static addRead(builder, read) {
    builder.addFieldInt8(1, +read, 0);
  }
  static addSaved(builder, saved) {
    builder.addFieldInt8(2, +saved, 0);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(3, idOffset, 0);
  }
  static addPubId(builder, pubIdOffset) {
    builder.addFieldOffset(4, pubIdOffset, 0);
  }
  static addHeader(builder, headerOffset) {
    builder.addFieldOffset(5, headerOffset, 0);
  }
  static addTags(builder, tagsOffset) {
    builder.addFieldOffset(6, tagsOffset, 0);
  }
  static createTagsVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startTagsVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addQueries(builder, queriesOffset) {
    builder.addFieldOffset(7, queriesOffset, 0);
  }
  static createQueriesVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startQueriesVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addSenderId(builder, senderIdOffset) {
    builder.addFieldOffset(8, senderIdOffset, 0);
  }
  static addCat(builder, catOffset) {
    builder.addFieldOffset(9, catOffset, 0);
  }
  static addProfsign(builder, profsignOffset) {
    builder.addFieldOffset(10, profsignOffset, 0);
  }
  static addPublish(builder, publishOffset) {
    builder.addFieldOffset(11, publishOffset, 0);
  }
  static addReceive(builder, receiveOffset) {
    builder.addFieldOffset(12, receiveOffset, 0);
  }
  static addSpan(builder, span) {
    builder.addFieldFloat64(13, span, 0);
  }
  static addSunit(builder, sunitOffset) {
    builder.addFieldOffset(14, sunitOffset, 0);
  }
  static addKept(builder, kept) {
    builder.addFieldFloat64(15, kept, 0);
  }
  static addKunit(builder, kunitOffset) {
    builder.addFieldOffset(16, kunitOffset, 0);
  }
  static addMax(builder, max) {
    builder.addFieldInt32(17, max, 0);
  }
  static addSim(builder, sim) {
    builder.addFieldFloat64(18, sim, 0);
  }
  static addSpot(builder, spotOffset) {
    builder.addFieldOffset(19, spotOffset, 0);
  }
  static addHomes(builder, homesOffset) {
    builder.addFieldOffset(20, homesOffset, 0);
  }
  static createHomesVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startHomesVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endRMsg(builder) {
    const offset = builder.endObject();
    return offset;
  }
};

// src/rmsgs.ts
var RMsgs = class _RMsgs {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsRMsgs(bb, obj) {
    return (obj || new _RMsgs()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsRMsgs(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers15.SIZE_PREFIX_LENGTH);
    return (obj || new _RMsgs()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  rlist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new RMsg()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  rlistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startRMsgs(builder) {
    builder.startObject(1);
  }
  static addRlist(builder, rlistOffset) {
    builder.addFieldOffset(0, rlistOffset, 0);
  }
  static createRlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startRlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endRMsgs(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createRMsgs(builder, rlistOffset) {
    _RMsgs.startRMsgs(builder);
    _RMsgs.addRlist(builder, rlistOffset);
    return _RMsgs.endRMsgs(builder);
  }
};

// src/rens.ts
var flatbuffers17 = __toESM(require("flatbuffers"));

// src/ren.ts
var flatbuffers16 = __toESM(require("flatbuffers"));
var Ren = class _Ren {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsRen(bb, obj) {
    return (obj || new _Ren()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsRen(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers16.SIZE_PREFIX_LENGTH);
    return (obj || new _Ren()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  names(index, optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb.__vector(this.bb_pos + offset) + index * 4, optionalEncoding) : null;
  }
  namesLength() {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startRen(builder) {
    builder.startObject(2);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addNames(builder, namesOffset) {
    builder.addFieldOffset(1, namesOffset, 0);
  }
  static createNamesVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startNamesVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endRen(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createRen(builder, idOffset, namesOffset) {
    _Ren.startRen(builder);
    _Ren.addId(builder, idOffset);
    _Ren.addNames(builder, namesOffset);
    return _Ren.endRen(builder);
  }
};

// src/rens.ts
var Rens = class _Rens {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsRens(bb, obj) {
    return (obj || new _Rens()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsRens(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers17.SIZE_PREFIX_LENGTH);
    return (obj || new _Rens()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  rlist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new Ren()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  rlistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startRens(builder) {
    builder.startObject(1);
  }
  static addRlist(builder, rlistOffset) {
    builder.addFieldOffset(0, rlistOffset, 0);
  }
  static createRlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startRlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endRens(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createRens(builder, rlistOffset) {
    _Rens.startRens(builder);
    _Rens.addRlist(builder, rlistOffset);
    return _Rens.endRens(builder);
  }
};

// src/smsgs.ts
var flatbuffers19 = __toESM(require("flatbuffers"));

// src/smsg.ts
var flatbuffers18 = __toESM(require("flatbuffers"));
var SMsg = class _SMsg {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsSMsg(bb, obj) {
    return (obj || new _SMsg()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsSMsg(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers18.SIZE_PREFIX_LENGTH);
    return (obj || new _SMsg()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  id(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  header(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  tags(index, optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__string(this.bb.__vector(this.bb_pos + offset) + index * 4, optionalEncoding) : null;
  }
  tagsLength() {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  cont(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  edit(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  senderId(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 14);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  cat(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 16);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  profsign(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 18);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  pubId(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 20);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  pubTime(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 22);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  pubLocs(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 24);
    return offset ? (obj || new Loc()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  pubLocsLength() {
    const offset = this.bb.__offset(this.bb_pos, 24);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  published() {
    const offset = this.bb.__offset(this.bb_pos, 26);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  span() {
    const offset = this.bb.__offset(this.bb_pos, 28);
    return offset ? this.bb.readFloat64(this.bb_pos + offset) : 0;
  }
  sunit(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 30);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  pushed() {
    const offset = this.bb.__offset(this.bb_pos, 32);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  read() {
    const offset = this.bb.__offset(this.bb_pos, 34);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  saved() {
    const offset = this.bb.__offset(this.bb_pos, 36);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  rated() {
    const offset = this.bb.__offset(this.bb_pos, 38);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  followed() {
    const offset = this.bb.__offset(this.bb_pos, 40);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  blocked() {
    const offset = this.bb.__offset(this.bb_pos, 42);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  forwarded() {
    const offset = this.bb.__offset(this.bb_pos, 44);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  static startSMsg(builder) {
    builder.startObject(21);
  }
  static addId(builder, idOffset) {
    builder.addFieldOffset(0, idOffset, 0);
  }
  static addHeader(builder, headerOffset) {
    builder.addFieldOffset(1, headerOffset, 0);
  }
  static addTags(builder, tagsOffset) {
    builder.addFieldOffset(2, tagsOffset, 0);
  }
  static createTagsVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startTagsVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addCont(builder, contOffset) {
    builder.addFieldOffset(3, contOffset, 0);
  }
  static addEdit(builder, editOffset) {
    builder.addFieldOffset(4, editOffset, 0);
  }
  static addSenderId(builder, senderIdOffset) {
    builder.addFieldOffset(5, senderIdOffset, 0);
  }
  static addCat(builder, catOffset) {
    builder.addFieldOffset(6, catOffset, 0);
  }
  static addProfsign(builder, profsignOffset) {
    builder.addFieldOffset(7, profsignOffset, 0);
  }
  static addPubId(builder, pubIdOffset) {
    builder.addFieldOffset(8, pubIdOffset, 0);
  }
  static addPubTime(builder, pubTimeOffset) {
    builder.addFieldOffset(9, pubTimeOffset, 0);
  }
  static addPubLocs(builder, pubLocsOffset) {
    builder.addFieldOffset(10, pubLocsOffset, 0);
  }
  static createPubLocsVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startPubLocsVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static addPublished(builder, published) {
    builder.addFieldInt8(11, +published, 0);
  }
  static addSpan(builder, span) {
    builder.addFieldFloat64(12, span, 0);
  }
  static addSunit(builder, sunitOffset) {
    builder.addFieldOffset(13, sunitOffset, 0);
  }
  static addPushed(builder, pushed) {
    builder.addFieldInt32(14, pushed, 0);
  }
  static addRead(builder, read) {
    builder.addFieldInt32(15, read, 0);
  }
  static addSaved(builder, saved) {
    builder.addFieldInt32(16, saved, 0);
  }
  static addRated(builder, rated) {
    builder.addFieldInt32(17, rated, 0);
  }
  static addFollowed(builder, followed) {
    builder.addFieldInt32(18, followed, 0);
  }
  static addBlocked(builder, blocked) {
    builder.addFieldInt32(19, blocked, 0);
  }
  static addForwarded(builder, forwarded) {
    builder.addFieldInt32(20, forwarded, 0);
  }
  static endSMsg(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createSMsg(builder, idOffset, headerOffset, tagsOffset, contOffset, editOffset, senderIdOffset, catOffset, profsignOffset, pubIdOffset, pubTimeOffset, pubLocsOffset, published, span, sunitOffset, pushed, read, saved, rated, followed, blocked, forwarded) {
    _SMsg.startSMsg(builder);
    _SMsg.addId(builder, idOffset);
    _SMsg.addHeader(builder, headerOffset);
    _SMsg.addTags(builder, tagsOffset);
    _SMsg.addCont(builder, contOffset);
    _SMsg.addEdit(builder, editOffset);
    _SMsg.addSenderId(builder, senderIdOffset);
    _SMsg.addCat(builder, catOffset);
    _SMsg.addProfsign(builder, profsignOffset);
    _SMsg.addPubId(builder, pubIdOffset);
    _SMsg.addPubTime(builder, pubTimeOffset);
    _SMsg.addPubLocs(builder, pubLocsOffset);
    _SMsg.addPublished(builder, published);
    _SMsg.addSpan(builder, span);
    _SMsg.addSunit(builder, sunitOffset);
    _SMsg.addPushed(builder, pushed);
    _SMsg.addRead(builder, read);
    _SMsg.addSaved(builder, saved);
    _SMsg.addRated(builder, rated);
    _SMsg.addFollowed(builder, followed);
    _SMsg.addBlocked(builder, blocked);
    _SMsg.addForwarded(builder, forwarded);
    return _SMsg.endSMsg(builder);
  }
};

// src/smsgs.ts
var SMsgs = class _SMsgs {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsSMsgs(bb, obj) {
    return (obj || new _SMsgs()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsSMsgs(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers19.SIZE_PREFIX_LENGTH);
    return (obj || new _SMsgs()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  slist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new SMsg()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  slistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startSMsgs(builder) {
    builder.startObject(1);
  }
  static addSlist(builder, slistOffset) {
    builder.addFieldOffset(0, slistOffset, 0);
  }
  static createSlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startSlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endSMsgs(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createSMsgs(builder, slistOffset) {
    _SMsgs.startSMsgs(builder);
    _SMsgs.addSlist(builder, slistOffset);
    return _SMsgs.endSMsgs(builder);
  }
};

// src/sender.ts
var flatbuffers20 = __toESM(require("flatbuffers"));
var Sender = class _Sender {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsSender(bb, obj) {
    return (obj || new _Sender()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsSender(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers20.SIZE_PREFIX_LENGTH);
    return (obj || new _Sender()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  anchor(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  count() {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.readInt32(this.bb_pos + offset) : 0;
  }
  pushed() {
    const offset = this.bb.__offset(this.bb_pos, 8);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  read() {
    const offset = this.bb.__offset(this.bb_pos, 10);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  saved() {
    const offset = this.bb.__offset(this.bb_pos, 12);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  rated() {
    const offset = this.bb.__offset(this.bb_pos, 14);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  followed() {
    const offset = this.bb.__offset(this.bb_pos, 16);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  blocked() {
    const offset = this.bb.__offset(this.bb_pos, 18);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  forwarded() {
    const offset = this.bb.__offset(this.bb_pos, 20);
    return offset ? this.bb.readInt64(this.bb_pos + offset) : BigInt("0");
  }
  static startSender(builder) {
    builder.startObject(9);
  }
  static addAnchor(builder, anchorOffset) {
    builder.addFieldOffset(0, anchorOffset, 0);
  }
  static addCount(builder, count) {
    builder.addFieldInt32(1, count, 0);
  }
  static addPushed(builder, pushed) {
    builder.addFieldInt64(2, pushed, BigInt("0"));
  }
  static addRead(builder, read) {
    builder.addFieldInt64(3, read, BigInt("0"));
  }
  static addSaved(builder, saved) {
    builder.addFieldInt64(4, saved, BigInt("0"));
  }
  static addRated(builder, rated) {
    builder.addFieldInt64(5, rated, BigInt("0"));
  }
  static addFollowed(builder, followed) {
    builder.addFieldInt64(6, followed, BigInt("0"));
  }
  static addBlocked(builder, blocked) {
    builder.addFieldInt64(7, blocked, BigInt("0"));
  }
  static addForwarded(builder, forwarded) {
    builder.addFieldInt64(8, forwarded, BigInt("0"));
  }
  static endSender(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createSender(builder, anchorOffset, count, pushed, read, saved, rated, followed, blocked, forwarded) {
    _Sender.startSender(builder);
    _Sender.addAnchor(builder, anchorOffset);
    _Sender.addCount(builder, count);
    _Sender.addPushed(builder, pushed);
    _Sender.addRead(builder, read);
    _Sender.addSaved(builder, saved);
    _Sender.addRated(builder, rated);
    _Sender.addFollowed(builder, followed);
    _Sender.addBlocked(builder, blocked);
    _Sender.addForwarded(builder, forwarded);
    return _Sender.endSender(builder);
  }
};

// src/tags.ts
var flatbuffers22 = __toESM(require("flatbuffers"));

// src/tag.ts
var flatbuffers21 = __toESM(require("flatbuffers"));
var Tag = class _Tag {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsTag(bb, obj) {
    return (obj || new _Tag()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsTag(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers21.SIZE_PREFIX_LENGTH);
    return (obj || new _Tag()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  censured() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? !!this.bb.readInt8(this.bb_pos + offset) : false;
  }
  tag(optionalEncoding) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__string(this.bb_pos + offset, optionalEncoding) : null;
  }
  static startTag(builder) {
    builder.startObject(2);
  }
  static addCensured(builder, censured) {
    builder.addFieldInt8(0, +censured, 0);
  }
  static addTag(builder, tagOffset) {
    builder.addFieldOffset(1, tagOffset, 0);
  }
  static endTag(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createTag(builder, censured, tagOffset) {
    _Tag.startTag(builder);
    _Tag.addCensured(builder, censured);
    _Tag.addTag(builder, tagOffset);
    return _Tag.endTag(builder);
  }
};

// src/tags.ts
var Tags = class _Tags {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsTags(bb, obj) {
    return (obj || new _Tags()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsTags(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers22.SIZE_PREFIX_LENGTH);
    return (obj || new _Tags()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  tlist(index, obj) {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? (obj || new Tag()).__init(this.bb.__indirect(this.bb.__vector(this.bb_pos + offset) + index * 4), this.bb) : null;
  }
  tlistLength() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.__vector_len(this.bb_pos + offset) : 0;
  }
  static startTags(builder) {
    builder.startObject(1);
  }
  static addTlist(builder, tlistOffset) {
    builder.addFieldOffset(0, tlistOffset, 0);
  }
  static createTlistVector(builder, data) {
    builder.startVector(4, data.length, 4);
    for (let i = data.length - 1; i >= 0; i--) {
      builder.addOffset(data[i]);
    }
    return builder.endVector();
  }
  static startTlistVector(builder, numElems) {
    builder.startVector(4, numElems, 4);
  }
  static endTags(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static createTags(builder, tlistOffset) {
    _Tags.startTags(builder);
    _Tags.addTlist(builder, tlistOffset);
    return _Tags.endTags(builder);
  }
};

// src/post.ts
var Post = /* @__PURE__ */ ((Post2) => {
  Post2[Post2["NONE"] = 0] = "NONE";
  Post2[Post2["Exce"] = 1] = "Exce";
  Post2[Post2["Locs"] = 2] = "Locs";
  Post2[Post2["SMsgs"] = 3] = "SMsgs";
  Post2[Post2["RMsgs"] = 4] = "RMsgs";
  Post2[Post2["Rens"] = 5] = "Rens";
  Post2[Post2["Sender"] = 6] = "Sender";
  Post2[Post2["Promp"] = 7] = "Promp";
  Post2[Post2["Ack"] = 8] = "Ack";
  Post2[Post2["Queries"] = 9] = "Queries";
  Post2[Post2["Plans"] = 10] = "Plans";
  Post2[Post2["Tags"] = 11] = "Tags";
  Post2[Post2["Idls"] = 12] = "Idls";
  Post2[Post2["Profiles"] = 13] = "Profiles";
  return Post2;
})(Post || {});

// src/bucket.ts
var Bucket = class _Bucket {
  bb = null;
  bb_pos = 0;
  __init(i, bb) {
    this.bb_pos = i;
    this.bb = bb;
    return this;
  }
  static getRootAsBucket(bb, obj) {
    return (obj || new _Bucket()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  static getSizePrefixedRootAsBucket(bb, obj) {
    bb.setPosition(bb.position() + flatbuffers23.SIZE_PREFIX_LENGTH);
    return (obj || new _Bucket()).__init(bb.readInt32(bb.position()) + bb.position(), bb);
  }
  contentType() {
    const offset = this.bb.__offset(this.bb_pos, 4);
    return offset ? this.bb.readUint8(this.bb_pos + offset) : 0 /* NONE */;
  }
  content(obj) {
    const offset = this.bb.__offset(this.bb_pos, 6);
    return offset ? this.bb.__union(obj, this.bb_pos + offset) : null;
  }
  static startBucket(builder) {
    builder.startObject(2);
  }
  static addContentType(builder, contentType) {
    builder.addFieldInt8(0, contentType, 0 /* NONE */);
  }
  static addContent(builder, contentOffset) {
    builder.addFieldOffset(1, contentOffset, 0);
  }
  static endBucket(builder) {
    const offset = builder.endObject();
    return offset;
  }
  static finishBucketBuffer(builder, offset) {
    builder.finish(offset);
  }
  static finishSizePrefixedBucketBuffer(builder, offset) {
    builder.finish(offset, void 0, true);
  }
  static createBucket(builder, contentType, contentOffset) {
    _Bucket.startBucket(builder);
    _Bucket.addContentType(builder, contentType);
    _Bucket.addContent(builder, contentOffset);
    return _Bucket.endBucket(builder);
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Ack,
  Bucket,
  Contact,
  Exce,
  Idls,
  Loc,
  Locs,
  Plan,
  Plans,
  Post,
  Profile,
  Profiles,
  Promp,
  Queries,
  Query,
  RMsg,
  RMsgs,
  Ren,
  Rens,
  SMsg,
  SMsgs,
  Sender,
  Tag,
  Tags
});
